
const complotDB = require('../database/ComplotDB.js');

class InformeMoi{
    constructor(client){
        this.client = client;
        this.channels = this.client.channels.cache;
    }

    getRandomComplot(){
        const actor = complotDB.getRandomActor();
        const action = complotDB.getRandomAction();
        const reason = complotDB.getRandomReason();

        const vouloir = actor.startsWith("Les ") ? "veulent" : "veut";
        return `${actor} ${vouloir} ${action} pour ${reason} !`;
    }

    parse(message){
        if(this.shouldRespond(message)){
            message.reply(this.getRandomComplot());
        }
    }

    shouldRespond(message){    
        return message.content.toLowerCase().includes("informe moi");
    }
}

module.exports = InformeMoi;